<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}" xmlns:sd="http://www.w3.org/1999/xhtml">


<head>
    <meta charset="UTF-8">
    <title>Bank balance</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_finance::sidebar_finance" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Bank balance
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success" th:if="${success != null}">
                    <h4>Save Data Success!</h4>

                    <p>Data Berhasil Disimpan.</p>
                </div>

                <div class="alert alert-danger" th:if="${delete != null}">
                    <h4>Save Data Success!</h4>

                    <p>Data Berhasil Dihapus.</p>
                </div>

                <div class="alert alert-danger" th:if="${gagal != null}">
                    <h4>Save Data Unsuccesfully!</h4>

                    <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
                </div>

                <form method="get">
                    <div class="row">
                        <div class="col-md-6">
                            <!--            <h3 class="box-title">List of Budget Line</h3>-->
                            <p><a class="link-primary" th:href="@{/transaksi/saldo_bank/baru}" role="button">Klik disini</a> jika ada tambahan saldo bank. </p>
                        </div>
                        <div class="col-md-6" align="right">

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            Show entries <span sd:page-size-selector="javascript"></span>
                        </div>

                        <div class="col-md-6" align="right">
                            <div class="row">
                                <div class="mb-3">
                                    <select class="form-select" id="selectdua" name="tahun">
                                        <option
                                                th:each="data : ${listTahun}"
                                                th:selected="(${data} == *{tahunSelected})"
                                                th:text="${data.getTahun()}"
                                                th:value="${data.getTahun()}"
                                        >
                                            sdasd
                                        </option>
                                    </select>
                                    <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                                </div>
                            </div>
                            <div class="row">
                                <div class="mb-3">
                                    <select class="form-select" id="selecttiga" name="bulan">
                                        <option
                                                th:each="data : ${listBulan}"
                                                th:selected="(${data} == *{bulanSelected})"
                                                th:text="${data.getNama()}"
                                                th:value="${data.getBulan()}"
                                        >
                                            sdasd
                                        </option>
                                    </select>
                                    <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                                </div>
                            </div>
                            <div class="row">
                                <div class="mb-3">
                                <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                                </div>
                            </div>
                            <div class="row">
                                <div class="mb-3">
                                    <button type="submit" class="btn btn-secondary"><i class="fa fa-search"></i> Search</button>
                                </div>
                            </div>
                            <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                        </div>
                    </div>
                    <br>
                </form>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
<!--                <div class="tableFixHead">-->
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        </tr>
                        <tr>
                            <th scope="col" style="width: 10px">#</th>
                            <th scope="col">Date</th>
                            <th scope="col">Period</th>
                            <th scope="col">Description</th>
                            <th scope="col">Nominal</th>
                            <th scope="col">For</th>
                            <th scope="col">Options</th>
                            <th scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="data,row : ${listSaldoBank}">
                            <td th:text="${(row.index + 1) + (listSaldoBank.number * listSaldoBank.size)}">1.</td>

                            <td th:text="${data.tanggal}">BEASISWA</td>
                            <td th:text="${data.getNamaPeriode()}">BEASISWA</td>
                            <td th:text="${data.description}">Pendapatan dari Beasiswa</td>
                            <td th:text="${data.amount}">-</td>
                            <td th:text="${data.getInstansi()}">-</td>
                            <td>
                                <a th:href="@{/transaksi/saldo_bank/edit(saldoBank = ${data.id})}" class="link link-success">Edit</a>
                            </td>
                            <td>

                                <form method="post" th:action="@{/transaksi/saldo_bank/hapus(saldoBank = ${data.id})}">
                                    <button type="submit" class="btn btn-danger btn-xs" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
<!--                </div>-->
                <br>

                <nav aria-label="Page navigation example">
                    <ul class="pagination" sd:pagination="full">
                    </ul>
                </nav>
            </div>
        </div>
    </main>

</main>

</body>
</html>
